---
title: "Set Group Topic"
slug: "set-group-topic"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Group Topic

Post/api/v1/groups.setTopic

Sets the topic for the private channel. The topic is displayed next to the room name in the header. Permission required: `edit-room`

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='5230d5c8-2eff-4913-ac3c-0d3ade536c8a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='acc2309e-e40c-415a-bdfc-3dcd88597937'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX",
  "topic": "Discuss all of the testing"
}
```

object  roomIdstring    Required

The group ID. You can find the IDs by using any of the following endpoints:

- [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them.
- [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of.

ExampleByehQjC44FwMeiLbX
topicstring    Required

Enter the group's topic.

ExampleQA discussions

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='95326fa1-5753-4110-bd21-0da89505389f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='0c0953dc-8b2e-41a0-8007-729663800508'>Success</option>
</select>Success

```json
{
  "topic": "Testing out everything.",
  "success": true
}
```

object  topicstring    
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='e6772ebb-38a1-402b-bb26-676a8b481800'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='37686fef-c7e7-4763-97c7-0b9f71444818'>Example 1</option>
<option value='7d9a5c8e-ec10-4ff0-bf8b-c1efe43dc6fa'>Example 2</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The bodyParam \"topic\" is required"
}
```

Example 2

```json
{
  "success": false,
  "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]",
  "errorType": "error-room-param-not-provided"
}
```

object  successboolean    
errorstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='e59f9ac0-996c-4c25-a98c-672308bc0fcf'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='dc9e27ae-8819-4d93-a180-c1fa769fd790'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
